<app-base-layout [enableMobileMenu]="true">
  <div class="card account-header">
    <div class="row">
      <div class="container account-header-container" routerLink="/account/profile-information">
        <div class="col-auto">
          <div class="avatar-outer-div">
            <span class="account-header-text avatar-inner-text">{{ userData.name | slice: 0:1 }}</span>
          </div>
        </div>
        <div class="col">
          <span class="account-header-text">{{userData.name}}</span><br>
          <span class="account-header-add-number" >Edit Info</span>
        </div>
        <div class="col-auto">
          <img src="assets/icons/icon-chevron.png">
        </div>
      </div>
    </div>
  </div>

  <div class="container account-container">
    <div class="row">
      <!-- login to start invest -->
      <ng-container *ngIf="isGuestUser">
      <div class="col-12 col-lg-4 d-lg-none">
        <div class="login-to-start-investing-card">
          <div class="title">Login to start investing</div>
          <div><button type="button" class="btn btn-light" (click)="handleLogin()">Login</button></div>
        </div>
      </div>
      <div
      class="separator"
      style="width: 100%; height: 10px"
    ></div>
    </ng-container>

      <!-- balance to invest card -->
      <div class="invest-amount col-12">
        <div class="card">
          <div class="card-body">
            <div class="row align-items-center">
              <div class="col-12 col-md-7">
                <div class="value">
                  ${{ accountBalance }}
                </div>
                <div class="text">
                  Available to invest
                </div>
              </div>
              <div class="col-12 col-md-5 d-none d-md-flex">
                <button class="btn btn-primary w-100 mr-2 p-3" routerLink="/dashboard/fundtransfer"><img src="assets/icons/plus.svg" class="mr-2">Add Funds</button>
                <button class="btn btn-outline-primary w-100 p-3" (click)="openWithdrawLink();">Withdraw</button>
              </div>
            </div>
           
          </div>
        </div>

        <div class="row mt-2 mb-3 d-md-none">
          <div class="col-6 pr-1">
            <button class="btn btn-primary w-100 p-3" routerLink="/dashboard/fundtransfer"><img src="assets/icons/plus.svg" class="mr-2 mb-1">Add Funds</button>
          </div>
          <div class="col-6 pl-1">
            <button class="btn btn-outline-primary w-100 p-3" (click)="openWithdrawLink();">Withdraw</button>
          </div>
        </div>
      </div>
      <!-- end login to start invest -->
      <ng-container *ngFor="let cardsData of displayAccountCards">
        <app-account-card [ngClass]="{'hideOnMobileNotificationCard': cardsData.title == 'Notification'}"
          class="col-12 col-lg-4"
          [title]="cardsData.title"
          [info]="cardsData.info"
          [iconPath]="cardsData.iconPath"
          [navigateTo]="cardsData.navigateTo"
        >
        </app-account-card>
      </ng-container>
    </div>
    <div *ngIf="isAuthenticated" class="row container account-footer">
      <div>
        <span>Signed in as {{ userData.name }}</span>
      </div>
      <div class="logout">
        <button *ngIf="!isGuestUser" class="btn btn-link btn-sm" (click)="handleLogout()">
          Logout
        </button>
      </div>
    </div>
  </div>
</app-base-layout>
